var search_data = {"index":{"searchIndex":["itaxcode","encoder","missingdataerror","error","parser","invalidtaxcodeerror","notaxcodeerror","utils","validator","cin_evens()","cin_odds()","cin_remainders()","consonants()","countries()","decode()","decode()","decode_birthplace()","decode_day_and_gender()","decode_year()","encode()","encode()","encode_birthdate()","encode_birthplace()","encode_cin()","encode_name()","encode_surname()","extract_consonants()","extract_vowels()","months()","municipalities()","municipality_code()","new()","new()","new()","omocodes()","omocodia()","omocodia_decode()","omocodia_digits()","omocodia_encode()","omocodia_letters()","omocodia_subs_indexes()","parsed_date()","raw()","regex()","slugged()","standard_length?()","valid?()","valid?()","vowels()","countries.json","municipalities.json"],"longSearchIndex":["itaxcode","itaxcode::encoder","itaxcode::encoder::missingdataerror","itaxcode::error","itaxcode::parser","itaxcode::parser::invalidtaxcodeerror","itaxcode::parser::notaxcodeerror","itaxcode::utils","itaxcode::validator","itaxcode::utils#cin_evens()","itaxcode::utils#cin_odds()","itaxcode::utils#cin_remainders()","itaxcode::utils#consonants()","itaxcode::utils#countries()","itaxcode::decode()","itaxcode::parser#decode()","itaxcode::parser#decode_birthplace()","itaxcode::parser#decode_day_and_gender()","itaxcode::parser#decode_year()","itaxcode::encode()","itaxcode::encoder#encode()","itaxcode::encoder#encode_birthdate()","itaxcode::encoder#encode_birthplace()","itaxcode::utils#encode_cin()","itaxcode::encoder#encode_name()","itaxcode::encoder#encode_surname()","itaxcode::utils#extract_consonants()","itaxcode::utils#extract_vowels()","itaxcode::utils#months()","itaxcode::utils#municipalities()","itaxcode::parser#municipality_code()","itaxcode::encoder::new()","itaxcode::parser::new()","itaxcode::validator::new()","itaxcode::parser#omocodes()","itaxcode::utils#omocodia()","itaxcode::utils#omocodia_decode()","itaxcode::utils#omocodia_digits()","itaxcode::utils#omocodia_encode()","itaxcode::utils#omocodia_letters()","itaxcode::utils#omocodia_subs_indexes()","itaxcode::encoder#parsed_date()","itaxcode::parser#raw()","itaxcode::utils#regex()","itaxcode::utils#slugged()","itaxcode::validator::standard_length?()","itaxcode::valid?()","itaxcode::validator#valid?()","itaxcode::utils#vowels()","",""],"info":[["ItaxCode","","ItaxCode.html","",""],["ItaxCode::Encoder","","ItaxCode/Encoder.html","","<p>This class handles the tax code generation logic.\n<p>@param [String]       surname    The user first name …\n"],["ItaxCode::Encoder::MissingDataError","","ItaxCode/Encoder/MissingDataError.html","",""],["ItaxCode::Error","","ItaxCode/Error.html","",""],["ItaxCode::Parser","","ItaxCode/Parser.html","","<p>This class handles the parsing logic.\n<p>@param [String] tax_code\n<p>@example\n"],["ItaxCode::Parser::InvalidTaxCodeError","","ItaxCode/Parser/InvalidTaxCodeError.html","",""],["ItaxCode::Parser::NoTaxCodeError","","ItaxCode/Parser/NoTaxCodeError.html","",""],["ItaxCode::Utils","","ItaxCode/Utils.html","",""],["ItaxCode::Validator","","ItaxCode/Validator.html","","<p>This class holds the validation logic.\n<p>@param [Hash] data The user input data\n"],["cin_evens","ItaxCode::Utils","ItaxCode/Utils.html#method-i-cin_evens","()",""],["cin_odds","ItaxCode::Utils","ItaxCode/Utils.html#method-i-cin_odds","()",""],["cin_remainders","ItaxCode::Utils","ItaxCode/Utils.html#method-i-cin_remainders","()",""],["consonants","ItaxCode::Utils","ItaxCode/Utils.html#method-i-consonants","()",""],["countries","ItaxCode::Utils","ItaxCode/Utils.html#method-i-countries","()",""],["decode","ItaxCode","ItaxCode.html#method-c-decode","(tax_code)","<p>This method decodes tax code in its components.\n<p>@example\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">ItaxCode</span>.<span class=\"ruby-identifier\">decode</span>(<span class=\"ruby-string\">&quot;CCCFBA85D03L219P&quot;</span>)\n</pre>\n"],["decode","ItaxCode::Parser","ItaxCode/Parser.html#method-i-decode","()","<p>This method decodes the tax code.\n<p>@return [Hash]\n"],["decode_birthplace","ItaxCode::Parser","ItaxCode/Parser.html#method-i-decode_birthplace","(src = utils.municipalities, exit: false)",""],["decode_day_and_gender","ItaxCode::Parser","ItaxCode/Parser.html#method-i-decode_day_and_gender","()",""],["decode_year","ItaxCode::Parser","ItaxCode/Parser.html#method-i-decode_year","()",""],["encode","ItaxCode","ItaxCode.html#method-c-encode","(data)","<p>This method encodes user tax code.\n<p>@example\n\n<pre>ItaxCode.encode({\n  surname:    [String]\n  name:       [String] ...</pre>\n"],["encode","ItaxCode::Encoder","ItaxCode/Encoder.html#method-i-encode","()","<p>This method calculates the tax code.\n<p>@return [String] The calculated tax code\n"],["encode_birthdate","ItaxCode::Encoder","ItaxCode/Encoder.html#method-i-encode_birthdate","()",""],["encode_birthplace","ItaxCode::Encoder","ItaxCode/Encoder.html#method-i-encode_birthplace","(src = utils.municipalities, exit: false)",""],["encode_cin","ItaxCode::Utils","ItaxCode/Utils.html#method-i-encode_cin","(code)",""],["encode_name","ItaxCode::Encoder","ItaxCode/Encoder.html#method-i-encode_name","()",""],["encode_surname","ItaxCode::Encoder","ItaxCode/Encoder.html#method-i-encode_surname","()",""],["extract_consonants","ItaxCode::Utils","ItaxCode/Utils.html#method-i-extract_consonants","(str)",""],["extract_vowels","ItaxCode::Utils","ItaxCode/Utils.html#method-i-extract_vowels","(str)",""],["months","ItaxCode::Utils","ItaxCode/Utils.html#method-i-months","()",""],["municipalities","ItaxCode::Utils","ItaxCode/Utils.html#method-i-municipalities","()",""],["municipality_code","ItaxCode::Parser","ItaxCode/Parser.html#method-i-municipality_code","()",""],["new","ItaxCode::Encoder","ItaxCode/Encoder.html#method-c-new","(data = {}, utils = Utils.new)",""],["new","ItaxCode::Parser","ItaxCode/Parser.html#method-c-new","(tax_code, utils = Utils.new)",""],["new","ItaxCode::Validator","ItaxCode/Validator.html#method-c-new","(data = {})",""],["omocodes","ItaxCode::Parser","ItaxCode/Parser.html#method-i-omocodes","()",""],["omocodia","ItaxCode::Utils","ItaxCode/Utils.html#method-i-omocodia","()",""],["omocodia_decode","ItaxCode::Utils","ItaxCode/Utils.html#method-i-omocodia_decode","(val)",""],["omocodia_digits","ItaxCode::Utils","ItaxCode/Utils.html#method-i-omocodia_digits","()",""],["omocodia_encode","ItaxCode::Utils","ItaxCode/Utils.html#method-i-omocodia_encode","(val)",""],["omocodia_letters","ItaxCode::Utils","ItaxCode/Utils.html#method-i-omocodia_letters","()",""],["omocodia_subs_indexes","ItaxCode::Utils","ItaxCode/Utils.html#method-i-omocodia_subs_indexes","()",""],["parsed_date","ItaxCode::Encoder","ItaxCode/Encoder.html#method-i-parsed_date","(date)",""],["raw","ItaxCode::Parser","ItaxCode/Parser.html#method-i-raw","()",""],["regex","ItaxCode::Utils","ItaxCode/Utils.html#method-i-regex","()",""],["slugged","ItaxCode::Utils","ItaxCode/Utils.html#method-i-slugged","(str, separator = \"-\")",""],["standard_length?","ItaxCode::Validator","ItaxCode/Validator.html#method-c-standard_length-3F","(code)","<p>This method checks tax code standard length against user and business fical code standards.\n<p>@param [String] …\n"],["valid?","ItaxCode","ItaxCode.html#method-c-valid-3F","(tax_code, data)","<p>This method check given tax code validity against new one encoded from user informations.\n<p>@example\n\n<pre>ItaxCode.valid?(tax_code ...</pre>\n"],["valid?","ItaxCode::Validator","ItaxCode/Validator.html#method-i-valid-3F","(tax_code)","<p>This method check pre calculated tax code validity against newly encoded tax code.\n<p>@param [String] tax_code …\n"],["vowels","ItaxCode::Utils","ItaxCode/Utils.html#method-i-vowels","()",""],["countries.json","","lib/itax_code/data/countries_json.html","","<p>[\n\n<pre>{ &quot;code&quot;:&quot;Z100&quot;, &quot;province&quot;:&quot;EE&quot;, &quot;name&quot;:&quot;ALBANIA&quot; },\n{ &quot;code&quot;:&quot;Z101&quot;, &quot;province&quot;:&quot;EE&quot;, &quot;name&quot;:&quot;ANDORRA&quot; ...</pre>\n"],["municipalities.json","","lib/itax_code/data/municipalities_json.html","","<p>[\n\n<pre>{ &quot;code&quot;: &quot;A001&quot;, &quot;province&quot;: &quot;PD&quot;, &quot;name&quot;: &quot;ABANO (soppresso)&quot; },\n{ &quot;code&quot;: &quot;A001&quot;, &quot;province&quot;: &quot;PD&quot;, ...</pre>\n"]]}}